package com.foreverwin.mesnac.anomaly.service.impl;

import com.foreverwin.modular.core.util.FrontPage;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.anomaly.model.AbnormalMessage;
import com.foreverwin.mesnac.anomaly.mapper.AbnormalMessageMapper;
import com.foreverwin.mesnac.anomaly.service.AbnormalMessageService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author 赵嘉伟
 * @since 2021-07-22
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class AbnormalMessageServiceImpl extends ServiceImpl<AbnormalMessageMapper, AbnormalMessage> implements AbnormalMessageService {


    @Autowired
    private AbnormalMessageMapper abnormalMessageMapper;

    @Override
    public IPage<AbnormalMessage> selectPage(FrontPage<AbnormalMessage> frontPage, AbnormalMessage abnormalMessage) {
        QueryWrapper<AbnormalMessage> queryWrapper = new QueryWrapper<>();
        queryWrapper.setEntity(abnormalMessage);
        return super.page(frontPage.getPagePlus(), queryWrapper);
    }

    @Override
    public List<AbnormalMessage> selectList(AbnormalMessage abnormalMessage) {
        QueryWrapper<AbnormalMessage> queryWrapper = new QueryWrapper<>();
        queryWrapper.setEntity(abnormalMessage);
        return super.list(queryWrapper);
    }


}